package com.chinaweal.aiccs.common.util;

import java.util.HashMap;
import java.util.Map;

/**
 * 流程常量
 * Created by xiaot on 2017/4/25.
 */

public class FlowUtil {

    private static final Map<String, String> LINK_MAP = new HashMap<>();

    //流程模板
    public static final String CANCELWORKFLOW = "cancelWorkFlow";  //冒用他人身份
    public static final String CANCELEASYENTRYWORKFLOW = "cancelEasyEntryWorkFlow";  //撤销案件简易录入结果
    public static final String CANCELREVOKEWORKFLOW = "cancelRevokeWorkflow";  //撤销撤销案件
    public static final String CANCELREVOKEBATCHWORKFLOW = "cancelRevokeBatchWorkflow";  //批量撤销撤销案件
    public static final String EXPTLISTWORKFLOW = "exptlistWorkFlow";//经营异常名录
    public static final String DISSENTWORKFLOW = "dissentWorkFlow";//经营异常名录异议

    public static final String SERILLEGALWORKFLOW = "serIllegalWorkFlow";//严重违法失信名单
    public static final String SERIOUS_ILLEGAL_WORKFLOW = "seriousIllegalWorkflow";//列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_REM_WORKFLOW = "seriousRemWorkFlow";//移出严重违法失信名单
    public static final String SERILLEGALDISSENTWORKFLOW = "serIllegalDissentWorkFlow";//严重违法失信企业 异议

    public static final String ANNUAL_DISSENT_WORKFLOW = "annualDissentWorkFlow";//年报公示信息异议
    public static final String PROBLEM_FEEDBACK_WORKFLOW = "problemFeedbackWorkFlow";//问题上报
    public static final String REVOKEWORKFLOW = "RevokeWorkFlow";//吊销登记批量吊销
    public static final String REVOKE_CANCEL_WORKFLOW = "RevokeCancelWorkFlow";//批量吊销-撤销复议诉讼
    public static final String PUNISHWORKFLOW = "PunishWorkFlow";//联合惩戒
    public static final String MARKET_INSPECT_WORKFLOW = "marketInspectWorkFlow";  //现场核查
    public static final String REM_PUNISH_WORKFLOW = "RemPunishWorkFlowTmp";  //行政处罚修复
    public static final String BATCHDEACTIVATIONLWORKFLOW = "BatchDeactivationlWorkFlow";  //批量注销

    public static final String AUCTION_WORKFLOW = "auctionWorkFlow";//拍卖会备案

    // 其他部门列入/移出严重违法失信企业名单（黑名单）工作流
    // 复用现有的列入严重违法失信名单工作流：seriousIllegalWorkflow
    // 节点配置复用：accept(经办)、review(审核)、examine(审批)、endExamineSuccess(审批通过)、endExamineFail(审批不通过)、overNullify(作废)


    public static final String NOLICENCEWORKFLOW = "nolicenceWorkFlow";//无照经营
    public static final String CREDITWORKFLOW = "creditWorkFlow";//信用分类调整
    public static final String COLLECTIONWORKFLOW = "collectionWorkFlow";//外部信用信息
    public static final String BUSINESSDELETEWORKFLOW = "BusinessDeleteWorkFlow";//业务删除

    //吊销登记批量吊销 环节
    public static final String REVOKEWORKFLOW_CLUEENTER = "clueEnter";//线索录入
    public static final String REVOKEWORKFLOW_CASEENTER = "caseEnter";//立案经办
    public static final String REVOKEWORKFLOW_HANDLECASE = "handleCase";//立案审核
    public static final String REVOKEWORKFLOW_APPROVALCASE = "approvalCase";//立案审批
    public static final String REVOKEWORKFLOW_INVESTIGATEENTER = "investigateEnter";//调查经办
    public static final String REVOKEWORKFLOW_HANDLEINVESTIGATE = "handleInvestigate";//调查审核
    public static final String REVOKEWORKFLOW_APPROVALINVESTIGATE = "approvalInvestigate";//调查审批
    public static final String REVOKEWORKFLOW_HEARINGENTER = "hearingEnter";//听证告知经办
    public static final String REVOKEWORKFLOW_HANDLEHEARING = "handleHearing";//听证告知审核
    public static final String REVOKEWORKFLOW_HEARINGREGDEPLEADER = "hearingRegDepLeader";//听证告知法规部科长审核
    public static final String REVOKEWORKFLOW_HEARINGREGDEPHANDLE = "hearingRegDepHandle";//听证告知法规部指定人审核
    public static final String REVOKEWORKFLOW_APPROVALHEARING = "approvalHearing";//听证告知审批
    public static final String REVOKEWORKFLOW_DECISIONENTER = "decisionEnter";//决定经办
    public static final String REVOKEWORKFLOW_HANDLEDECISION = "handleDecision";//决定审核
    public static final String REVOKEWORKFLOW_DECISIONREGDEPHANDLE = "decisionRegDepHandle";//处罚决定法规部门经办
    public static final String REVOKEWORKFLOW_DECISIONREGDEPLEADER = "decisionRegDepLeader";//处罚决定法规部门科长审核
    public static final String REVOKEWORKFLOW_APPROVALDECISION = "approvalDecision";//决定审批
    public static final String REVOKEWORKFLOW_SENDENTER = "sendEnter";//送达经办
    public static final String REVOKEWORKFLOW_HANDLESEND = "handleSend";//送达审核
    public static final String REVOKEWORKFLOW_APPROVALSEND = "approvalSend";//送达审批
    public static final String REVOKEWORKFLOW_NOREGISTER = "noRegister";//不予立案终结
    public static final String REVOKEWORKFLOW_ENDREVOKE = "endRevoke";//结束流程
    public static final String REVOKEWORKFLOW_OVERREVOKE = "overRevoke";//不同意-结束流程

    // 批量吊销-撤销复议诉讼环节
    public static final String REVOKECANCELWORKFLOW_REVCANCELENTER = "revCancelEnter";//批吊撤销复议诉讼经办
    public static final String REVOKECANCELWORKFLOW_HANDLEREVCANCEL = "handleRevCancel";//批吊撤销复议诉讼审核
    public static final String REVOKECANCELWORKFLOW_APPROVEREVCANCEL = "approveRevCancel";//批吊撤销复议诉讼审批
    public static final String REVOKECANCELWORKFLOW_ENDREVCANCEL = "endRevCancel";//结束流程
    public static final String REVOKECANCELWORKFLOW_OVERREVCANCEL = "overRevCancel";//不同意-结束流程


    //异常名录环节
    public static final String EXPTLISTWORKFLOW_EXPTLISTENTER = "exptlistEnter"; //经营异常经办
    public static final String EXPTLISTWORKFLOW_HANDLEEXPTLIST = "handleExptlist";//经营异常审核
    public static final String EXPTLISTWORKFLOW_APPROVELIST = "approvelist";//经营异常审批
    public static final String EXPTLISTWORKFLOW_ENDEXPTLIST = "endExptlist";//结束流程
    public static final String EXPTLISTWORKFLOW_OVEREXPTLIST = "overExptlist";//不同意-结束流程
    public static final String EXPTLISTWORKFLOW_OVERFINISH = "overFinish";//不同意-结束流程

    // 联合惩戒环节
    public static final String PUNISHWORKFLOWE_PUNISHENTER = "punishEnter"; //联合惩戒经办
    public static final String PUNISHWORKFLOWE_HANDLEPUNISH = "handlePunish";//联合惩戒审核
    public static final String PUNISHWORKFLOWE_REVIEWPUNISH = "reviewPunish";//联合惩戒复核
    public static final String PUNISHWORKFLOWE_APPROVEPUNISH = "approvePunish";//联合惩戒审批
    public static final String PUNISHWORKFLOWE_ENDPUNISH = "endPunish";//结束流程
    public static final String PUNISHWORKFLOWE_OVERPUNISH = "overPunish";//不同意-结束流程

    // 冒用他人身份
    public static final String CANCELWORKFLOW_CANCELENTER = "cancelEnter"; //登记经办
    public static final String CANCELWORKFLOW_HANDLECANCEL = "handleCancel"; //登记审核
    public static final String CANCELWORKFLOW_APPROVALCANCEL = "approvalCancel"; //登记审批
    public static final String CANCELWORKFLOW_CANCELSHOW = "cancelShow"; //公示
    public static final String CANCELWORKFLOW_RESULTADDENTER = "resultAddEnter"; //结果录入经办
    public static final String CANCELWORKFLOW_HANDLERESULTADD = "handleResultAdd"; //结果录入审核
    public static final String CANCELWORKFLOW_APPROVALRESULTADD = "approvalResultAdd"; //结果录入审批
    public static final String CANCELWORKFLOW_ENDCASE = "endCase"; //结束流程
    public static final String CANCELWORKFLOW_OVERCASE = "overCase";//不同意-结束流程
    // 严重违法失信名单 环节（列入不使用了， 可能拟列入还在使用中）
    public static final String SERILLEGALWORKFLOW_SERILLEGALENTER = "serIllegalEnter"; //严重违法失信名单经办
    public static final String SERILLEGALWORKFLOW_HANDLESERILLEGAL = "handleSerIllegal";//严重违法失信名单审核
    public static final String SERILLEGALWORKFLOW_APPORSERILLEGALENTER = "approveSerIllegal";//严重违法失信名单审批
    public static final String SERILLEGALWORKFLOW_ENDSERILLEGAL = "endSerIllegal";//严重违法失信名单结束流程
    public static final String SERILLEGALWORKFLOW_OVERSERILLEGAL = "overSerIllegal";//严重违法失信审批不同意-结束流程
    public static final String SERILLEGALWORKFLOW_OVERFINISH = "overFinish";//严重违法失信审批不同意-结束流程

    // 列入严重违法失信名单（其他部门列入/移出严重违法失信企业名单复用此工作流和节点）
    public static final String SERIOUS_ILLEGAL_ACCEPT = "accept"; //经办-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_REVIEW = "review"; //审核-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_EXAMINE = "examine"; //审批-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_NULLIFY = "overNullify"; //作废（办结）-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_EXAMINE_SUCCESS = "endExamineSuccess"; //审批通过（办结）-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_EXAMINE_FAIL = "endExamineFail"; //审批不通过（办结）-列入严重违法失信名单
    public static final String SERIOUS_ILLEGAL_BUREAU_EXAMINE_SUCCESS = "bureauExamineSuccess"; //区局审批通过还需要走市局的三级审批
    public static final String SERIOUS_ILLEGAL_CITY_EXAMINE_SUCCESS = "examineSuccess"; //市局的审批通过待归档
    public static final String SERIOUS_ILLEGAL_ENDARCHIVES = "endArchives"; //行政处罚的归档

    //异常名录异议环节   (严重违法失信异议 共用)
    public static final String DISSENTWORKFLOW_ACCEPTDISSENTENTER = "acceptDissentEnter";//受理经办
    public static final String DISSENTWORKFLOW_HANDLEDISSENTACCEPT = "handleDissentAccept";//受理审批
    public static final String DISSENTWORKFLOW_APPROVEDISSENTENTER = "approveDissent";//送核准经办(严重违法算是核准经办)
    public static final String DISSENTWORKFLOW_APPROVEDISSENTACCEPT = "approveDissentAccept";//核准经办
    public static final String DISSENTWORKFLOW_APPROVEDISSENTREVIEW = "approveDissentReview";//核准审核
    public static final String DISSENTWORKFLOW_HANDLEDISSENTAPPROVE = "handleDissentApprove";//核准审批
    public static final String DISSENTWORKFLOW_OVERDISSENTENTER = "overDissent";//完成经办
    public static final String DISSENTWORKFLOW_ENDDISSENT = "endDissent";//结束流程
    public static final String DISSENTWORKFLOW_OVERFINISH = "overFinish";//结束流程

    //无照经营环节
    public static final String NOLICENCEWORKFLOW_NOLICENCEENTER = "nolicenceEnter";//无照经营录入
    public static final String NOLICENCEWORKFLOW_HANDLENOLICENCE = "handleNolicence";//无照经营审批
    public static final String NOLICENCEWORKFLOW_ENDNOLICENCE = "endNolicence";//结束流程

    //信用分类调整环节
    public static final String CREDITWORKFLOW_CREDITENTER = "creditEnter";//受理经办
    public static final String CREDITWORKFLOW_HANDLECREDIT = "handleCredit";//审批中
    public static final String CREDITWORKFLOW_HANDLECREDITING = "handleCrediting";//办结中
    public static final String CREDITWORKFLOW_EXITENTER = "exitEnter";//撤销
    public static final String CREDITWORKFLOW_END = "end";//结束流程

    //外部信用信息
    public static final String COLLECTIONWORKFLOW_COLLECTIONENTER = "collectionEnter";//审批中
    public static final String COLLECTIONWORKFLOW_HANDLECOLLECTION = "handleCollection";//核准中
    public static final String COLLECTIONWORKFLOW_REFUSE = "refuse";//不予审核
    public static final String COLLECTIONWORKFLOW_END = "end";//结束流程


    //业务删除
    public static final String BUSINESSDELETEWORKFLOW_DELETEENTER = "deleteEnter";
    public static final String BUSINESSDELETEWORKFLOW_HANDLEDELETE = "handleDelete";
    public static final String BUSINESSDELETEWORKFLOW_ENDDELETE = "endDelete";//结束流程


    //拍卖前备案 环节
    public static final String AUCTIONWORKFLOW_AUCTIONENTER = "auctionEnter"; //受理
    public static final String AUCTIONWORKFLOW_HANDLEAUCTION = "handleAuction";//审查
    public static final String AUCTIONWORKFLOW_APPROVEAUCTION_SUPER = "approveAuctionSuper";//报上级机关核准
    public static final String AUCTIONWORKFLOW_APPROVEAUCTION_SAME = "approveAuctionSame";//报本级机关核准
    // public static final String AUCTIONWORKFLOW_APPROVEAUCTION = "approveAuction";//核准
    public static final String AUCTIONWORKFLOW_PRINTAUCTION_REJECT = "printAuctionReject";//驳回并发送打印
    public static final String AUCTIONWORKFLOW_PRINTAUCTION_APPROVE = "printAuctionApprove";//核准并发送打印
    //public static final String AUCTIONWORKFLOW_PRINTAUCTION = "printAuction";//发送打印
    public static final String AUCTIONWORKFLOW_AUCTIONISSUE = "auctionIssue";//发照
    public static final String AUCTIONWORKFLOW_AUCTIONCOLLATE = "auctionCollate";//校对
    public static final String AUCTIONWORKFLOW_AUCTIONEND = "auctionEnd";//结束

    public static final String ANNUAL_DISSENT_WORKFLOW_ENDANNUALDISSENT = "endAnnualDissent"; // 年报公示信息异议反馈审核审批流程_通过（结束）
    public static final String ANNUAL_DISSENT_WORKFLOW_OVERANNUALDISSENT = "overAnnualDissent"; // 年报公示信息异议反馈审核审批流程_不通过（结束）

    //年报异议反馈流程
    public static final String ANNUAL_DISSENT_WORKFLOW_ENTER = "annualDissentEnter"; //经办
    public static final String ANNUAL_DISSENT_WORKFLOW_HANDLE = "handleAnnualDissent"; //审核
    public static final String ANNUAL_DISSENT_WORKFLOW_APPROVE = "approveAnnualDissent"; //审批
    public static final String ANNUAL_DISSENT_WORKFLOW_END = "endAnnualDissent"; //同意
    public static final String ANNUAL_DISSENT_WORKFLOW_OVER = "overAnnualDissent"; //不同意
    public static final String ANNUAL_DISSENT_WORKFLOW_REVOKE = "revokeAnnualDissent"; //撤销

    public static final String PROBLEM_FEEDBACK_WORKFLOW_ENDFEEDBACK = "endFeedback"; // 问题处理反馈——最终完成
    public static final String PROBLEM_FEEDBACK_WORKFLOW_OVERFEEDBACK = "overFeedback"; // 问题处理反馈--最终退回
    public static final String PROBLEM_FEEDBACK_WORKFLOW_OVERKWFINISH = "overKwFinish"; // 问题处理反馈--结束流程

    //统一环节节点
    private static final String LINK_START = "0"; //启动中
    private static final String LINK_ACCEPT = "1"; //受理中
    private static final String LINK_CHECK = "2";  //审查中
    private static final String LINK_APPRVOL = "3"; //核准中
    private static final String LINK_END = "9"; //办结中

    static {
        initChangeLink();
    }


    private static void initChangeLink() {

        LINK_MAP.put(AUCTIONWORKFLOW_AUCTIONENTER, "1");
        LINK_MAP.put(AUCTIONWORKFLOW_HANDLEAUCTION, "2");
        LINK_MAP.put(AUCTIONWORKFLOW_APPROVEAUCTION_SUPER, "3");
        LINK_MAP.put(AUCTIONWORKFLOW_APPROVEAUCTION_SAME, "3");
        LINK_MAP.put(AUCTIONWORKFLOW_PRINTAUCTION_REJECT, "4");
        LINK_MAP.put(AUCTIONWORKFLOW_PRINTAUCTION_APPROVE, "4");
        LINK_MAP.put(AUCTIONWORKFLOW_AUCTIONISSUE, "5");
        LINK_MAP.put(AUCTIONWORKFLOW_AUCTIONCOLLATE, "6");
        LINK_MAP.put(AUCTIONWORKFLOW_AUCTIONEND, "9");


        // 异常名录
        LINK_MAP.put(EXPTLISTWORKFLOW_EXPTLISTENTER, "1");
        LINK_MAP.put(EXPTLISTWORKFLOW_HANDLEEXPTLIST, "2");
        LINK_MAP.put(EXPTLISTWORKFLOW_APPROVELIST, "3");
        LINK_MAP.put(EXPTLISTWORKFLOW_OVEREXPTLIST, "4");
        LINK_MAP.put(EXPTLISTWORKFLOW_ENDEXPTLIST, "9");
        LINK_MAP.put(EXPTLISTWORKFLOW_OVERFINISH, "9");

        //联合惩戒
        LINK_MAP.put(PUNISHWORKFLOWE_PUNISHENTER, "1");
        LINK_MAP.put(PUNISHWORKFLOWE_HANDLEPUNISH, "2");
        LINK_MAP.put(PUNISHWORKFLOWE_REVIEWPUNISH, "3");
        LINK_MAP.put(PUNISHWORKFLOWE_APPROVEPUNISH, "4");
        LINK_MAP.put(PUNISHWORKFLOWE_ENDPUNISH, "9");
        LINK_MAP.put(PUNISHWORKFLOWE_OVERPUNISH, "10");

        // 批量吊销
        LINK_MAP.put(REVOKEWORKFLOW_CASEENTER, "1");
        LINK_MAP.put(REVOKEWORKFLOW_HANDLECASE, "2");
        LINK_MAP.put(REVOKEWORKFLOW_APPROVALCASE, "3");
        LINK_MAP.put(REVOKEWORKFLOW_INVESTIGATEENTER, "4");
        LINK_MAP.put(REVOKEWORKFLOW_HANDLEINVESTIGATE, "5");
        LINK_MAP.put(REVOKEWORKFLOW_APPROVALINVESTIGATE, "6");
        LINK_MAP.put(REVOKEWORKFLOW_HEARINGENTER, "7");
        LINK_MAP.put(REVOKEWORKFLOW_HANDLEHEARING, "8");

        LINK_MAP.put(REVOKEWORKFLOW_HEARINGREGDEPLEADER, "10");
        LINK_MAP.put(REVOKEWORKFLOW_HEARINGREGDEPHANDLE, "9");

        LINK_MAP.put(REVOKEWORKFLOW_APPROVALHEARING, "11");

        LINK_MAP.put(REVOKEWORKFLOW_DECISIONENTER, "12");
        LINK_MAP.put(REVOKEWORKFLOW_HANDLEDECISION, "13");
        LINK_MAP.put(REVOKEWORKFLOW_DECISIONREGDEPHANDLE, "14");
        LINK_MAP.put(REVOKEWORKFLOW_DECISIONREGDEPLEADER, "15");

        LINK_MAP.put(REVOKEWORKFLOW_APPROVALDECISION, "16");
        LINK_MAP.put(REVOKEWORKFLOW_SENDENTER, "17");
        LINK_MAP.put(REVOKEWORKFLOW_HANDLESEND, "18");
        LINK_MAP.put(REVOKEWORKFLOW_APPROVALSEND, "19");
        LINK_MAP.put(REVOKEWORKFLOW_NOREGISTER, "22");
        LINK_MAP.put(REVOKEWORKFLOW_ENDREVOKE, "20");
        LINK_MAP.put(REVOKEWORKFLOW_OVERREVOKE, "21");

        //批吊-撤销复议诉讼
        LINK_MAP.put(REVOKECANCELWORKFLOW_REVCANCELENTER, "1");
        LINK_MAP.put(REVOKECANCELWORKFLOW_HANDLEREVCANCEL, "2");
        LINK_MAP.put(REVOKECANCELWORKFLOW_APPROVEREVCANCEL, "3");
        LINK_MAP.put(REVOKECANCELWORKFLOW_ENDREVCANCEL, "9");
        LINK_MAP.put(REVOKECANCELWORKFLOW_OVERREVCANCEL, "9");

        //冒用他人身份
        LINK_MAP.put(CANCELWORKFLOW_CANCELENTER, "1");
        LINK_MAP.put(CANCELWORKFLOW_HANDLECANCEL, "2");
        LINK_MAP.put(CANCELWORKFLOW_APPROVALCANCEL, "3");
        LINK_MAP.put(CANCELWORKFLOW_CANCELSHOW, "4");
        LINK_MAP.put(CANCELWORKFLOW_RESULTADDENTER, "5");
        LINK_MAP.put(CANCELWORKFLOW_HANDLERESULTADD, "6");
        LINK_MAP.put(CANCELWORKFLOW_APPROVALRESULTADD, "7");
        LINK_MAP.put(CANCELWORKFLOW_ENDCASE, "9");
        LINK_MAP.put(CANCELWORKFLOW_OVERCASE, "9");

        LINK_MAP.put(SERILLEGALWORKFLOW_SERILLEGALENTER, "1");
        LINK_MAP.put(SERILLEGALWORKFLOW_HANDLESERILLEGAL, "2");
        LINK_MAP.put(SERILLEGALWORKFLOW_APPORSERILLEGALENTER, "3");
        LINK_MAP.put(SERILLEGALWORKFLOW_ENDSERILLEGAL, "9");
        LINK_MAP.put(SERILLEGALWORKFLOW_OVERSERILLEGAL, "8");
        LINK_MAP.put(SERILLEGALWORKFLOW_OVERFINISH, "7");

        LINK_MAP.put(DISSENTWORKFLOW_ACCEPTDISSENTENTER, "1");
        LINK_MAP.put(DISSENTWORKFLOW_HANDLEDISSENTACCEPT, "2");
        LINK_MAP.put(DISSENTWORKFLOW_APPROVEDISSENTENTER, "3");
        LINK_MAP.put(DISSENTWORKFLOW_APPROVEDISSENTACCEPT, "4");
        LINK_MAP.put(DISSENTWORKFLOW_APPROVEDISSENTREVIEW, "5");
        LINK_MAP.put(DISSENTWORKFLOW_HANDLEDISSENTAPPROVE, "6");
        LINK_MAP.put(DISSENTWORKFLOW_OVERDISSENTENTER, "9");
        LINK_MAP.put(DISSENTWORKFLOW_ENDDISSENT, "9");
        LINK_MAP.put(DISSENTWORKFLOW_OVERFINISH, "9");

        LINK_MAP.put(NOLICENCEWORKFLOW_NOLICENCEENTER, "2");
        LINK_MAP.put(NOLICENCEWORKFLOW_HANDLENOLICENCE, "3");
        LINK_MAP.put(NOLICENCEWORKFLOW_ENDNOLICENCE, "9");

        LINK_MAP.put(CREDITWORKFLOW_CREDITENTER, "2");
        LINK_MAP.put(CREDITWORKFLOW_HANDLECREDIT, "3");
        LINK_MAP.put(CREDITWORKFLOW_HANDLECREDITING, "3");
        LINK_MAP.put(CREDITWORKFLOW_EXITENTER, "9");
        LINK_MAP.put(CREDITWORKFLOW_END, "9");

        LINK_MAP.put(COLLECTIONWORKFLOW_COLLECTIONENTER, "2");
        LINK_MAP.put(COLLECTIONWORKFLOW_HANDLECOLLECTION, "3");
        LINK_MAP.put(COLLECTIONWORKFLOW_REFUSE, "3");
        LINK_MAP.put(COLLECTIONWORKFLOW_END, "9");

        //年报异议反馈
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_ENTER,"1");
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_HANDLE,"2");
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_APPROVE,"3");
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_END,"4");
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_REVOKE,"6");
        LINK_MAP.put(ANNUAL_DISSENT_WORKFLOW_OVER,"9");

        // 列入严重违法（其他部门列入/移出严重违法失信企业名单复用此工作流和节点）

                LINK_MAP.put(SERIOUS_ILLEGAL_ACCEPT, "0");

                LINK_MAP.put(SERIOUS_ILLEGAL_REVIEW, "1");

                LINK_MAP.put(SERIOUS_ILLEGAL_EXAMINE, "2");

                LINK_MAP.put(SERIOUS_ILLEGAL_NULLIFY, "3");

                LINK_MAP.put(SERIOUS_ILLEGAL_EXAMINE_SUCCESS, "4");

                LINK_MAP.put(SERIOUS_ILLEGAL_EXAMINE_FAIL, "5");

                LINK_MAP.put(SERIOUS_ILLEGAL_BUREAU_EXAMINE_SUCCESS, "6");

                LINK_MAP.put(SERIOUS_ILLEGAL_CITY_EXAMINE_SUCCESS, "7");

                LINK_MAP.put(SERIOUS_ILLEGAL_ENDARCHIVES, "8");

        

            }


    public static String getChangeLink(String node) {
        return LINK_MAP.get(node);
    }

}
